Skip to main content
`Ctrl`+`K`

# DMStagSetCoordinateDMType

set DM type to store coordinates

## Synopsis

    #include "petscdmstag.h"
    #include "petscdmproduct.h"
    PetscErrorCode DMStagSetCoordinateDMType(DM dm, DMType dmtype)

Logically Collective; `dmtype` must contain common value

## Input Parameters

- dm - the `DMSTAG` object

- dmtype - `DMtype` for coordinates, either `DMSTAG` or `DMPRODUCT`

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMPRODUCT`, `DMGetCoordinateDM()`, `DMStagSetUniformCoordinates()`, `DMStagSetUniformCoordinatesExplicit()`, `DMStagSetUniformCoordinatesProduct()`, `DMType`

## Level

advanced

## Location

src/dm/impls/stag/stagutils.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages